### Class

# Foundry VcsStats

#### Description

    abstract class Foundry.VcsStats : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Descendants

- FoundryGitStats

#### Instance methods

###### foundry_vcs_stats_get_deletions

No description available.

###### foundry_vcs_stats_get_files_changed

No description available.

###### foundry_vcs_stats_get_insertions

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.VcsStats:deletions

No description available.

###### Foundry.VcsStats:files-changed

No description available.

###### Foundry.VcsStats:insertions

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryVcsStatsClass {
      GObjectClass parent_class;
      guint64 (* get_files_changed) (
        FoundryVcsStats* self
      );
      guint64 (* get_insertions) (
        FoundryVcsStats* self
      );
      guint64 (* get_deletions) (
        FoundryVcsStats* self
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`get_files_changed: guint64 (* get_files_changed) ( FoundryVcsStats* self )`

  No description available.

`get_insertions: guint64 (* get_insertions) ( FoundryVcsStats* self )`

  No description available.

`get_deletions: guint64 (* get_deletions) ( FoundryVcsStats* self )`

  No description available.

#### Virtual methods

###### Foundry.VcsStatsClass.get_deletions

No description available.

###### Foundry.VcsStatsClass.get_files_changed

No description available.

###### Foundry.VcsStatsClass.get_insertions

No description available.